import { Link } from "react-router-dom"
import agent from '../assets/contact1.png'


const Contact = () => {
  return (
    <div>
      <div className="relative flex flex-col h-[30vh] md:h-[50vh] justify-center overflow-hidden">
        <div className="bg-hero2-pattern absolute z-10 w-full h-[30vh] md:h-[50vh] bg-no-repeat bg-cover bg-center opacity-50"></div>
          <div className="flex flex-col gap-2 sm:gap-4 p-28 px-5 w-[1200px] mx-auto z-30">
            <h1 className='text-slate-700 font-bold text-2xl md:text-6xl sm:text-4xl'>Find a local<span className='text-slate-500'> agent</span></h1>
            <h2 className='text-gray-600 text-sm sm:text-lg text-wrap'>A Local agent is the best agent to help you find 
              <br /> your next perfect place to live.
            </h2>
            <Link to={'/contact-agent'}><button className='text-xs sm:text-sm text-white font-semibold hover:opacity-90 bg-blue-950 p-1 sm:p-2 rounded-md'>Find local agents</button></Link>
          </div>  
      </div>
      <div className="flex flex-col max-w-6xl mx-auto justify-center items-center my-10  gap-4 sm:gap-6 sm:flex-row px-5">
        <img src={agent} alt="" className="sm:h-40 sm:w-40 w-24 h-24" />
        <div className="flex flex-col gap-2 text-center sm:text-start">
          <h1 className="text-blue-900 font-bold tracking-wider">Find agents in Chicago area</h1>
          <h2 className="text-gray-700">Our agent services are a 100% free - no hidden fees or obligations.</h2>
        </div>
      </div>
      <div className="flex flex-col max-w-6xl mx-auto justify-center items-center my-10  gap-4 px-5">
        <p className="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
        Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. 
        Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, 
        sunt in culpa qui officia deserunt mollit anim id est laborum.</p>

        <p className="text-sm">Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, 
        eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, 
        sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. </p>

        <p className="text-sm">Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, 
        adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem 
        ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? </p>
      </div>
    </div>
  )
}

export default Contact